com.versionone

## Class DB.BigInt

- java.lang.Object
- - com.versionone.DB
  - - com.versionone.DB.BigInt

- Enclosing class:
    DB

      public static class DB.BigInt
      extends DB

  DB type for Long

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.versionone.DB

      `DB.BigInt, DB.Bit, DB.DateTime, DB.Int, DB.NullObject, DB.Real, DB.Str`

  - ### Field Summary

    - ### Fields inherited from class com.versionone.DB

      `Null`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigInt()` Create a null instance
    `BigInt(Object value)` Create an instance and set value from another object If Object is | Value set based on String | Long.parseLong(value) Number | value.longValue()

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compare this instance to another DB.BigInt or another Long
    `Long` | `getValue()` return the Long value or null if the instance is null

    - ### Methods inherited from class com.versionone.DB

      `hashCode, isNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BigInt

          public BigInt()

      Create a null instance

    - #### BigInt

          public BigInt(Object value)

      Create an instance and set value from another object If Object is | Value set based on String | Long.parseLong(value) Number | value.longValue()
      Parameters:
        `value` - - instance used to set value

  - ### Method Detail

    - #### getValue

          public Long getValue()

      return the Long value or null if the instance is null
      Specified by:
        `getValue` in class `DB`
      Returns:
        Object

    - #### equals

          public boolean equals(Object obj)

      Compare this instance to another DB.BigInt or another Long
      Specified by:
        `equals` in class `DB`

Copyright © 2016 VersionOne, Inc.. All rights reserved.